#!/bin/bash

package=ffmpeg

# If changing this version number, don't forget to update FFKEYFRAME.sh
version=-jul21-2007



progname=$0

source ../../cascade-make/bin/script/test-setup.bash
source ../../cascade-make/lib/cascade-lib.bash

prefix=$GEXTVIDEO_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version
if [ -d $package ] ; then
  echo "Moving $package -> $package$version"
  /bin/mv $package $package$version
fi

opt_run_configure $force_config $auto_config $package $version "$prefix" \
     "--enable-shared --enable-static --enable-swscaler \
      --enable-libmp3lame --enable-liba52 --enable-gpl \
      --enable-libogg --enable-libvorbis \
      --enable-libfaac --enable-libfaad \
      --extra-ldflags=-L$prefix/lib/ \
      --extra-cflags=-I$prefix/include"


opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version


